#include <iostream>
using namespace std;
int main()
{
 int n,br=0;
    cin>>n;
    int x[n],y[n],z[n];
    for(int i=0;i<n;i++)
    {
        cin>>x[i];
        cin>>y[i];
        cin>>z[i];
    }
   for(int i=0;i<n;i++)
        for(int j=0;j<n;j++)
    {
        if(x[i]+1==y[z[j]])
        {
          br++;
        }
    }
    cout<<br;
    return 0;
}